
QGIS Application - Bug report #253

crash when using the *Identify Features* tool

2006-08-29 08:08 AM - venturato-faunalia-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10312

Description

At the second identification of a feature (postgis layers in our case), qgis regularly segfaults. r5742

History

#1 - 2006-08-31 11:22 PM - Gavin Macaulay -

Can you provide a gdb backtrace please.

#2 - 2006-09-01 04:49 AM - venturato-faunalia-it -

I hope it could help:

(gdb) bt

#0  0xa75e5dc0 in QWidget::raise () from /usr/lib/libQtGui.so.4

#3905  0xa6b34a6a in [[QgsMapToolIdentify]]::identifyVectorLayer () from /usr/lib/libqgis_gui.so.0

#3906  0xa6b36952 in [[QgsMapToolIdentify]]::canvasReleaseEvent () from /usr/lib/libqgis_gui.so.0

#3907  0xa6b15c39 in [[QgsMapCanvas]]::contentsMouseReleaseEvent () from /usr/lib/libqgis_gui.so.0

#3908  0xa7b5dd1e in Q3ScrollView::viewportMouseReleaseEvent () from /usr/lib/libQt3Support.so.4

#3909  0xa7b5ecdf in Q3ScrollView::eventFilter () from /usr/lib/libQt3Support.so.4

#3910  0xa75ac683 in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4

#3911  0xa75adb0d in QApplication::notify () from /usr/lib/libQtGui.so.4

#3912  0xa76019b2 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#3913  0xa76006aa in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#10 0xa7611c43 in non-virtual thunk to QDesktopWidget::~QDesktopWidget() () from /usr/lib/libQtGui.so.4

#3914 0xa7dbd004 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4

#3915 0xa7dbd1da in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#3916 0xa7dc0564 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4

#3917 0xa75ac347 in QApplication::exec () from /usr/lib/libQtGui.so.4

#3918 0x0804c994 in main ()

#3 - 2006-09-01 04:41 PM - Gavin Macaulay -

Are you able to do some more debugging to find out where in the [[QgsMapToolIdentify]]::identifyVectorLayer function the crash is happening?

A simple technique is to put the line:

std::cerr<<+FILE+<<+LINE+<<'\

';
throughout the src/gui/qgsmaptoolidentify.cc file, recompile (make install in the gui directory will be sufficient), run qgis, cause the crash, and see what line

number it got up to, and then keep adding those lines until you've found the line of code that is causing the crash.

#4 - 2006-09-04 02:02 AM - Redmine Admin

My QGIS has the same behavior only when I close the "Identify Features" window with the x Button at the UR window corner. When I close the window with

the "close" button all works fine.

#5 - 2006-09-04 02:47 AM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in SVN commit:15bde541 (SVN r5759). All it took was that last clue...

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
